update from version 2.2.4 to 2.2.14

Discussion in 'Installation/Configuration' started by matej, Jun 28, 2007.

  1. matej

    matej New Member

    I would like to update my ISPconfig version. I have installed 2.2.4 version and would like to update to latest (2.2.14) version? How can I do this? Shold I execute "installer" or is there any other way?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    just download the latest ispconfig version and run the installer.
     
  3. matej

    matej New Member

    I've done it. It went fine first part (build?) but in second part - during configuring spammassain it fails:
    ERROR: the required Net::DNS (version 0.34) module is not installed. at lib/Mail/SpamAssassin/Util/DependencyInfo.pm line 293, <STDIN> line 1.

    Now I'm without installed ispconfig (isconfig folder was deleted and I don't have backup for it). If I start installing again, it starts from "scratch".


    So question is:
    1. If I install from scratch 2.2.14 will it preserve mysql database (configuration in it)?
    2. If first is not true, then question is if is mysql database in this part allready updated (from 2.2.4 to 2.2.14) so I can start new installer (2.2.14) from scratch and then restore database?
    3. Or third posibility. Install 2.2.4 version, restore database and than again update to 2.2.14.

    Thanks for info.

    Matej
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    update your Net::DNS perl module, then run:

    mkdir /root/ispconfig

    and unpack and run the ISPConfig 2.2.14 installer again.
     
  5. matej

    matej New Member

    Thanks for this now instalation goes fine, but apache (isp-config one) is not started. If logs (ssl_engine_log file) i found this:

    [29/Jun/2007 11:06:06 01145] [error] Init: Unable to read server certificate from file /root/ispconfig/httpd/conf/ssl.crt/server.crt (OpenSSL library er$
    [29/Jun/2007 11:06:06 01145] [error] OpenSSL: error:0D06B08E:asn1 encoding routines:ASN1_D2I_READ_BIO:not enough data

    Any ideas?
     
  6. falko

    falko Super Moderator ISPConfig Developer

Share This Page